Index: /palm/trunk/SCRIPTS/.mrun.config.hlrnIII
===================================================================
--- /palm/trunk/SCRIPTS/.mrun.config.hlrnIII	(revision 1326)
+++ /palm/trunk/SCRIPTS/.mrun.config.hlrnIII	(revision 1327)
@@ -39,6 +39,6 @@
 %cpp_options         -e:Z:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__fftw   lccrayb parallel
 %mopts               -j:4                        lccrayb parallel
-%fopts               -em:-s:real64:-O3:-hnoomp:-hfp3:-hdynamic          lccrayb parallel
-%lopts               -em:-s:real64:-O3:-hnoomp:-hfp3:-hdynamic:-dynamic lccrayb parallel
+%fopts               -em:-O3:-hnoomp:-hfp3:-hdynamic          lccrayb parallel
+%lopts               -em:-O3:-hnoomp:-hfp3:-hdynamic:-dynamic lccrayb parallel
 %remote_username     <replace by your HLRN-III username>                lccrayb parallel
 %memory              1500                                               lccrayb parallel
@@ -52,6 +52,6 @@
 %cpp_options         -e:Z:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__fftw   lccrayh parallel
 %mopts               -j:4                        lccrayh parallel
-%fopts               -em:-s:real64:-O3:-hnoomp:-hfp3:-hdynamic          lccrayh parallel
-%lopts               -em:-s:real64:-O3:-hnoomp:-hfp3:-hdynamic:-dynamic lccrayh parallel
+%fopts               -em:-O3:-hnoomp:-hfp3:-hdynamic          lccrayh parallel
+%lopts               -em:-O3:-hnoomp:-hfp3:-hdynamic:-dynamic lccrayh parallel
 %remote_username     <replace by your HLRN-III username>                lccrayh parallel
 %memory              1500                                               lccrayh parallel
Index: /palm/trunk/SCRIPTS/.mrun.config.imuk
===================================================================
--- /palm/trunk/SCRIPTS/.mrun.config.imuk	(revision 1326)
+++ /palm/trunk/SCRIPTS/.mrun.config.imuk	(revision 1327)
@@ -27,6 +27,6 @@
 %netcdf_lib        -L/muksoft/packages/netcdf/3.6.3/lib:-lnetcdf               lcmuk
 %mopts             -j:4                                                        lcmuk
-%fopts             -fltconsistency:-O3:-cpp:-r8:-nbs:-convert:little_endian:-diag-disable:8290,8291    lcmuk
-%lopts             -fltconsistency:-O3:-cpp:-r8:-nbs:-lmf:-lm:-Vaxlib          lcmuk
+%fopts             -fltconsistency:-O3:-cpp:-nbs:-convert:little_endian:-diag-disable:8290,8291    lcmuk
+%lopts             -fltconsistency:-O3:-cpp:-nbs:-lmf:-lm:-Vaxlib          lcmuk
 #
 # version 03/02/2013
@@ -39,6 +39,6 @@
 %netcdf_lib        -L/muksoft/packages/netcdf/3.6.3/lib:-lnetcdf               lcmuk parallel
 %mopts             -j:4                                                        lcmuk parallel
-%fopts             -O3:-cpp:-r8:-fp-model:precise:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian:-diag-disable:8290,8291  lcmuk parallel
-%lopts             -O3:-cpp:-r8:-fp-model:precise:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-limf:-lm:-Vaxlib       lcmuk parallel
+%fopts             -O3:-cpp:-fp-model:precise:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian:-diag-disable:8290,8291  lcmuk parallel
+%lopts             -O3:-cpp:-fp-model:precise:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-limf:-lm:-Vaxlib       lcmuk parallel
 #%hostfile          $base_directory/.hostfile                                  lcmuk parallel
 #
@@ -51,6 +51,6 @@
 %netcdf_inc        -I:/muksoft/packages/netcdf/3.6.3/include            lcmuk parallel trace
 %netcdf_lib        -L/muksoft/packages/netcdf/3.6.3/lib:-lnetcdf        lcmuk parallel trace
-%fopts             -C:-check:nooutput_conversion:-fpe0:-debug:-traceback:-g:-w:-xT:-O0:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian:-diag-disable:8290,8291  lcmuk parallel trace
-%lopts             -C:-check:nooutput_conversion:-fpe0:-debug:-traceback:-g:-w:-xT:-O0:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-limf:-lm:-Vaxlib       lcmuk parallel trace
+%fopts             -C:-check:nooutput_conversion:-fpe0:-debug:-traceback:-g:-w:-xT:-O0:-cpp:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian:-diag-disable:8290,8291  lcmuk parallel trace
+%lopts             -C:-check:nooutput_conversion:-fpe0:-debug:-traceback:-g:-w:-xT:-O0:-cpp:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-limf:-lm:-Vaxlib       lcmuk parallel trace
 
 %write_binary                true                             restart
Index: /palm/trunk/SOURCE/check_open.f90
===================================================================
--- /palm/trunk/SOURCE/check_open.f90	(revision 1326)
+++ /palm/trunk/SOURCE/check_open.f90	(revision 1327)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-!
+! parts concerning iso2d and avs output removed
 !
 ! Former revisions:
@@ -76,6 +76,5 @@
 
     USE control_parameters,                                                    &
-        ONLY:  avs_data_file, avs_output, coupling_char,                       &
-               data_output_2d_on_each_pe, do3d_compress, host, iso2d_output,   &
+        ONLY:  avs_data_file, coupling_char, data_output_2d_on_each_pe, host,  &
                message_string, mid, netcdf_data_format, nz_do3d, openfile,     &
                return_addres, return_username, run_description_header, runnr
@@ -231,5 +230,5 @@
           ENDIF
 
-       CASE ( 27, 28, 29, 31, 32, 33, 71:73, 90:99 )
+       CASE ( 27, 28, 29, 31, 33, 71:73, 90:99 )
 
 !
@@ -372,12 +371,4 @@
              DEALLOCATE( eta, ho, hu )
 
-!
-!--          Create output file for local parameters
-             IF ( iso2d_output )  THEN
-                OPEN ( 27, FILE='PLOT2D_XY_LOCAL'//coupling_char,              &
-                           FORM='FORMATTED', DELIM='APOSTROPHE' )
-                openfile(27)%opened = .TRUE.
-             ENDIF
-
           ENDIF
 
@@ -400,5 +391,5 @@
              ENDIF
 !
-!--          Determine and write ISO2D coordiante header
+!--          Determine and write ISO2D coordinate header
              ALLOCATE( eta(0:nz+1), ho(0:nx+1), hu(0:nx+1) )
              hu = 0.0
@@ -412,9 +403,4 @@
              WRITE (22)  dx,eta,hu,ho
              DEALLOCATE( eta, ho, hu )
-!
-!--          Create output file for local parameters
-             OPEN ( 28, FILE='PLOT2D_XZ_LOCAL'//coupling_char,                 &
-                        FORM='FORMATTED', DELIM='APOSTROPHE' )
-             openfile(28)%opened = .TRUE.
 
           ENDIF
@@ -450,9 +436,4 @@
              WRITE (23)  dx,eta,hu,ho
              DEALLOCATE( eta, ho, hu )
-!
-!--          Create output file for local parameters
-             OPEN ( 29, FILE='PLOT2D_YZ_LOCAL'//coupling_char,                 &
-                        FORM='FORMATTED', DELIM='APOSTROPHE' )
-             openfile(29)%opened = .TRUE.
 
           ENDIF
@@ -468,162 +449,7 @@
 !
 !--          Specifications for combine_plot_fields
-             IF ( .NOT. do3d_compress )  THEN
-                WRITE ( 30 )  -nbgp,nx+nbgp,-nbgp,ny+nbgp, 0 ,nz_do3d
-                WRITE ( 30 )  0,nx+1,0,ny+1,0,nz_do3d
-             ENDIF
+             WRITE ( 30 )  -nbgp,nx+nbgp,-nbgp,ny+nbgp, 0 ,nz_do3d
+             WRITE ( 30 )  0,nx+1,0,ny+1,0,nz_do3d
 #endif
-!
-!--          Write coordinate file for AVS:
-!--          First determine file names (including cyle numbers) of AVS files on
-!--          target machine (to which the files are to be transferred).
-!--          Therefore path information has to be obtained first.
-             IF ( avs_output )  THEN
-                iaddres = LEN_TRIM( return_addres )
-                iusern  = LEN_TRIM( return_username )
-
-                OPEN ( 3, FILE='OUTPUT_FILE_CONNECTIONS', FORM='FORMATTED' )
-                DO  WHILE ( .NOT. avs_coor_file_found  .OR.                    &
-                            .NOT. avs_data_file_found )
-
-                   READ ( 3, '(A)', END=1 )  line
-
-                   SELECT CASE ( line(1:11) )
-
-                      CASE ( 'PLOT3D_COOR' )
-                         READ ( 3, '(A/A)' )  avs_coor_file_catalog,           &
-                                              avs_coor_file_localname
-                         avs_coor_file_found = .TRUE.
-
-                      CASE ( 'PLOT3D_DATA' )
-                         READ ( 3, '(A/A)' )  avs_data_file_catalog,           &
-                                              avs_data_file_localname
-                         avs_data_file_found = .TRUE.
-
-                      CASE DEFAULT
-                         READ ( 3, '(A/A)' )  line, line
-
-                   END SELECT
-
-                ENDDO
-!
-!--             Now the cycle numbers on the remote machine must be obtained
-!--             using batch_scp
-       1        CLOSE ( 3 )
-                IF ( .NOT. avs_coor_file_found  .OR.                           &
-                     .NOT. avs_data_file_found )  THEN
-                   message_string= 'no filename for AVS-data-file ' //         &
-                                   'found in MRUN-config-file' //              &
-                                   ' &filename in FLD-file set to "unknown"'
-                   CALL message( 'check_open', 'PA0169', 0, 1, 0, 6, 0 )
-
-                   avs_coor_file = 'unknown'
-                   avs_data_file = 'unknown'
-                ELSE
-                   get_filenames = .TRUE.
-                   IF ( TRIM( host ) == 'hpmuk'  .OR.                          &
-                        TRIM( host ) == 'lcmuk' )  THEN
-                      batch_scp = '/home/raasch/pub/batch_scp'
-                   ELSEIF ( TRIM( host ) == 'nech' )  THEN
-                      batch_scp = '/ipf/b/b323011/pub/batch_scp'
-                   ELSEIF ( TRIM( host ) == 'ibmh'  .OR.                       &
-                            TRIM( host ) == 'ibmb' )  THEN
-                      batch_scp = '/home/h/niksiraa/pub/batch_scp'
-                   ELSEIF ( TRIM( host ) == 't3eb' )  THEN
-                      batch_scp = '/home/nhbksira/pub/batch_scp'
-                   ELSE
-                      message_string= 'no path for batch_scp on host "' //     &
-                                       TRIM( host ) // '"'
-                      CALL message( 'check_open', 'PA0170', 0, 1, 0, 6, 0 )
-                      get_filenames = .FALSE.
-                   ENDIF
-
-                   IF ( get_filenames )  THEN
-!
-!--                   Determine the coordinate file name.
-!--                   /etc/passwd serves as Dummy-Datei, because it is not 
-!--                   really transferred.
-                      command = TRIM( batch_scp ) // ' -n -u ' //              &
-                         return_username(1:iusern) // ' ' //                   &
-                         return_addres(1:iaddres) // ' /etc/passwd "' //       &
-                         TRIM( avs_coor_file_catalog ) // '" ' //              &
-                         TRIM( avs_coor_file_localname ) // ' > REMOTE_FILENAME'
-
-                      CALL local_system( command )
-                      OPEN ( 3, FILE='REMOTE_FILENAME', FORM='FORMATTED' )
-                      READ ( 3, '(A)' )  avs_coor_file
-                      CLOSE ( 3 )
-!
-!--                   Determine the data file name
-                      command = TRIM( batch_scp ) // ' -n -u ' //              &
-                         return_username(1:iusern) // ' ' //                   &
-                         return_addres(1:iaddres) // ' /etc/passwd "' //       &
-                         TRIM( avs_data_file_catalog ) // '" ' //              &
-                         TRIM( avs_data_file_localname ) // ' > REMOTE_FILENAME'
-
-                      CALL local_system( command )
-                      OPEN ( 3, FILE='REMOTE_FILENAME', FORM='FORMATTED' )
-                      READ ( 3, '(A)' )  avs_data_file
-                      CLOSE ( 3 )
-
-                   ELSE
-
-                      avs_coor_file = 'unknown'
-                      avs_data_file = 'unknown'
-
-                   ENDIF
-
-                ENDIF
-
-!
-!--             Output of the coordinate file description for FLD-file
-                OPEN ( 33, FILE='PLOT3D_FLD_COOR', FORM='FORMATTED' )
-                openfile(33)%opened = .TRUE.
-                WRITE ( 33, 3300 )  TRIM( avs_coor_file ),                     &
-                                    TRIM( avs_coor_file ), (nx+2*nbgp)*4,      &
-                                    TRIM( avs_coor_file ), (nx+2*nbgp)*4+(ny+2*nbgp)*4
-            
-
-                ALLOCATE( xkoor(0:nx+1), ykoor(0:ny+1), zkoor(0:nz_do3d) )
-                DO  i = 0, nx+1
-                   xkoor(i) = i * dx
-                ENDDO
-                DO  j = 0, ny+1
-                   ykoor(j) = j * dy
-                ENDDO
-                DO  k = 0, nz_do3d
-                   zkoor(k) = zu(k)
-                ENDDO
-
-!
-!--             Create and write on AVS coordinate file
-                OPEN ( 31, FILE='PLOT3D_COOR', FORM='UNFORMATTED' )
-                openfile(31)%opened = .TRUE.
-
-                WRITE (31)  xkoor, ykoor, zkoor
-                DEALLOCATE( xkoor, ykoor, zkoor )
-
-!
-!--             Create FLD file (being written on in close_file)
-                OPEN ( 32, FILE='PLOT3D_FLD', FORM='FORMATTED' )
-                openfile(32)%opened = .TRUE.
-
-!
-!--             Create flag file for compressed 3D output,
-!--             influences output commands in mrun
-                IF ( do3d_compress )  THEN
-                   OPEN ( 3, FILE='PLOT3D_COMPRESSED', FORM='FORMATTED' )
-                   WRITE ( 3, '(1X)' )
-                   CLOSE ( 3 )
-                ENDIF 
-
-             ENDIF
-
-          ENDIF
-
-!
-!--       In case of data compression output of the coordinates of the
-!--       corresponding partial array of a PE only once at the top of the file
-          IF ( avs_output  .AND.  do3d_compress )  THEN
-             WRITE ( 30 )  nxlg, nxrg, nysg, nyng, nzb, nz_do3d
           ENDIF
 
Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 1326)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 1327)
@@ -20,5 +20,7 @@
 ! Current revisions:
 ! -----------------
-!
+! "baroclinicity" renamed "baroclinity", "ocean version" replaced by "ocean mode"
+! bugfix: duplicate error message 56 removed,
+! check of data_output_format and do3d_compress removed
 !
 ! Former revisions:
@@ -1309,5 +1311,5 @@
 !-- Ocean version must use flux boundary conditions at the top
     IF ( ocean .AND. .NOT. use_top_fluxes )  THEN
-       message_string = 'use_top_fluxes must be .TRUE. in ocean version'
+       message_string = 'use_top_fluxes must be .TRUE. in ocean mode'
        CALL message( 'check_parameters', 'PA0042', 1, 2, 0, 6, 0 )
     ENDIF
@@ -1381,5 +1383,5 @@
                 ( ug_vertical_gradient_level(1) /= 0.0  .OR.  &
                 ug_vertical_gradient(1) /= 0.0 ) )  THEN
-          message_string = 'baroclinicity (ug) not allowed simultaneously' // &
+          message_string = 'baroclinity (ug) not allowed simultaneously' // &
                            ' with galilei transformation'
           CALL message( 'check_parameters', 'PA0046', 1, 2, 0, 6, 0 )
@@ -1387,5 +1389,5 @@
                 ( vg_vertical_gradient_level(1) /= 0.0  .OR.  &
                 vg_vertical_gradient(1) /= 0.0 ) )  THEN
-          message_string = 'baroclinicity (vg) not allowed simultaneously' // &
+          message_string = 'baroclinity (vg) not allowed simultaneously' // &
                            ' with galilei transformation'
           CALL message( 'check_parameters', 'PA0047', 1, 2, 0, 6, 0 )
@@ -1463,9 +1465,4 @@
     ELSEIF ( bc_e_b == '(u*)**2+neumann' )  THEN
        ibc_e_b = 2
-       IF ( prandtl_layer )  THEN
-          message_string = 'adjust mixing length = FALSE and bc_e_b = "' // &
-                           TRIM( bc_e_b ) // '"'
-          CALL message( 'check_parameters', 'PA0056', 0, 1, 0, 6, 0 )
-       ENDIF
        IF ( .NOT. prandtl_layer )  THEN
           bc_e_b = 'neumann'
@@ -3011,108 +3008,20 @@
 
 !
-!-- Determine and check accuracy for compressed 3D plot output
-    IF ( do3d_compress )  THEN
-!
-!--    Compression only permissible on T3E machines
-       IF ( host(1:3) /= 't3e' )  THEN
-          message_string = 'do3d_compress = .TRUE. not allowed on host "' // &
-                           TRIM( host ) // '"'
-          CALL message( 'check_parameters', 'PA0117', 1, 2, 0, 6, 0 )
-       ENDIF
-
-       i = 1
-       DO  WHILE ( do3d_comp_prec(i) /= ' ' )
-
-          ilen = LEN_TRIM( do3d_comp_prec(i) )
-          IF ( LLT( do3d_comp_prec(i)(ilen:ilen), '0' ) .OR. &
-               LGT( do3d_comp_prec(i)(ilen:ilen), '9' ) )  THEN
-             WRITE( message_string, * )  'illegal precision: do3d_comp_prec', &
-                                   '(', i, ') = "', TRIM(do3d_comp_prec(i)),'"'
-             CALL message( 'check_parameters', 'PA0118', 1, 2, 0, 6, 0 )
-          ENDIF
-
-          prec = IACHAR( do3d_comp_prec(i)(ilen:ilen) ) - IACHAR( '0' )
-          var = do3d_comp_prec(i)(1:ilen-1)
-
-          SELECT CASE ( var )
-
-             CASE ( 'u' )
-                j = 1
-             CASE ( 'v' )
-                j = 2
-             CASE ( 'w' )
-                j = 3
-             CASE ( 'p' )
-                j = 4
-             CASE ( 'pt' )
-                j = 5
-
-             CASE DEFAULT
-                WRITE( message_string, * )  'unknown variable "', &
-                     TRIM( do3d_comp_prec(i) ), '" given for do3d_comp_prec(', &
-                     i, ')'
-                CALL message( 'check_parameters', 'PA0119', 1, 2, 0, 6, 0 )
-
-          END SELECT
-
-          plot_3d_precision(j)%precision = prec
-          i = i + 1
-
-       ENDDO
-    ENDIF
-
-!
-!-- Check the data output format(s)
-    IF ( data_output_format(1) == ' ' )  THEN
-!
-!--    Default value
-       netcdf_output = .TRUE.
-    ELSE
-       i = 1
-       DO  WHILE ( data_output_format(i) /= ' ' )
-
-          SELECT CASE ( data_output_format(i) )
-
-             CASE ( 'netcdf' )
-                netcdf_output = .TRUE.
-             CASE ( 'iso2d' )
-                iso2d_output  = .TRUE.
-             CASE ( 'avs' )
-                avs_output    = .TRUE.
-
-             CASE DEFAULT
-                message_string = 'unknown value for data_output_format "' // &
-                                 TRIM( data_output_format(i) ) // '"'
-                CALL message( 'check_parameters', 'PA0120', 1, 2, 0, 6, 0 )
-
-          END SELECT
-
-          i = i + 1
-          IF ( i > 10 )  EXIT
-
-       ENDDO
-    ENDIF
-
-!
 !-- Set output format string (used in header)
-    IF ( netcdf_output )  THEN
-
-       SELECT CASE ( netcdf_data_format )
-          CASE ( 1 )
-             output_format_netcdf = 'netCDF classic'
-          CASE ( 2 )
-             output_format_netcdf = 'netCDF 64bit offset'
-          CASE ( 3 )
-             output_format_netcdf = 'netCDF4/HDF5'
-          CASE ( 4 )
-             output_format_netcdf = 'netCDF4/HDF5 classic'
-          CASE ( 5 )
-             output_format_netcdf = 'parallel netCDF4/HDF5'
-          CASE ( 6 )
-             output_format_netcdf = 'parallel netCDF4/HDF5 classic'
-
-       END SELECT
-
-    ENDIF
+    SELECT CASE ( netcdf_data_format )
+       CASE ( 1 )
+          output_format_netcdf = 'netCDF classic'
+       CASE ( 2 )
+          output_format_netcdf = 'netCDF 64bit offset'
+       CASE ( 3 )
+          output_format_netcdf = 'netCDF4/HDF5'
+       CASE ( 4 )
+          output_format_netcdf = 'netCDF4/HDF5 classic'
+       CASE ( 5 )
+          output_format_netcdf = 'parallel netCDF4/HDF5'
+       CASE ( 6 )
+          output_format_netcdf = 'parallel netCDF4/HDF5 classic'
+
+    END SELECT
 
 #if defined( __spectra )
@@ -3203,24 +3112,24 @@
 !
 !-- Calculate fixed number of output time levels for parallel netcdf output.
-!-- The time dimension has to be limited for paralell output, otherwise the
-!-- performance drops significantly.
-    IF ( netcdf_output )  THEN
-       IF ( netcdf_data_format > 4 )  THEN
-          ntdim_3d(0) = INT( ( end_time - skip_time_do3d ) / dt_do3d )
-          IF ( do3d_at_begin ) ntdim_3d(0) = ntdim_3d(0) + 1
-          ntdim_3d(1) = INT( ( end_time - skip_time_data_output_av ) &
-                              / dt_data_output_av )
-          ntdim_2d_xy(0) = INT( ( end_time - skip_time_do2d_xy ) / dt_do2d_xy )
-          ntdim_2d_xz(0) = INT( ( end_time - skip_time_do2d_xz ) / dt_do2d_xz )
-          ntdim_2d_yz(0) = INT( ( end_time - skip_time_do2d_yz ) / dt_do2d_yz )
-          IF ( do2d_at_begin )  THEN
-             ntdim_2d_xy(0) = ntdim_2d_xy(0) + 1
-             ntdim_2d_xz(0) = ntdim_2d_xz(0) + 1
-             ntdim_2d_yz(0) = ntdim_2d_yz(0) + 1
-          ENDIF
-          ntdim_2d_xy(1) = ntdim_3d(1)
-          ntdim_2d_xz(1) = ntdim_3d(1)
-          ntdim_2d_yz(1) = ntdim_3d(1)
-       ENDIF
+!-- The time dimension has to be defined as limited for parallel output,
+!-- because otherwise the I/O performance drops significantly.
+    IF ( netcdf_data_format > 4 )  THEN
+
+       ntdim_3d(0)    = INT( ( end_time - skip_time_do3d ) / dt_do3d )
+       IF ( do3d_at_begin ) ntdim_3d(0) = ntdim_3d(0) + 1
+       ntdim_3d(1)    = INT( ( end_time - skip_time_data_output_av ) &
+                             / dt_data_output_av )
+       ntdim_2d_xy(0) = INT( ( end_time - skip_time_do2d_xy ) / dt_do2d_xy )
+       ntdim_2d_xz(0) = INT( ( end_time - skip_time_do2d_xz ) / dt_do2d_xz )
+       ntdim_2d_yz(0) = INT( ( end_time - skip_time_do2d_yz ) / dt_do2d_yz )
+       IF ( do2d_at_begin )  THEN
+          ntdim_2d_xy(0) = ntdim_2d_xy(0) + 1
+          ntdim_2d_xz(0) = ntdim_2d_xz(0) + 1
+          ntdim_2d_yz(0) = ntdim_2d_yz(0) + 1
+       ENDIF
+       ntdim_2d_xy(1) = ntdim_3d(1)
+       ntdim_2d_xz(1) = ntdim_3d(1)
+       ntdim_2d_yz(1) = ntdim_3d(1)
+
     ENDIF
 
Index: /palm/trunk/SOURCE/close_file.f90
===================================================================
--- /palm/trunk/SOURCE/close_file.f90	(revision 1326)
+++ /palm/trunk/SOURCE/close_file.f90	(revision 1327)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! parts concerning iso2d and avs output removed
 !
 ! Former revisions:
@@ -58,7 +58,7 @@
 
     USE control_parameters,                                                    &
-        ONLY:  do2d_xz_n, do2d_xy_n, do2d_yz_n, do3d_avs_n, do3d_compress,     &
-               host, iso2d_output, max_masks, mid, netcdf_data_format,         &
-               netcdf_output, nz_do3d, openfile, run_description_header,       &
+        ONLY:  do2d_xz_n, do2d_xy_n, do2d_yz_n, do3d_avs_n,                    &
+               host, max_masks, mid, netcdf_data_format,                       &
+               nz_do3d, openfile, run_description_header,       &
                z_max_do2d
                 
@@ -120,90 +120,8 @@
           SELECT CASE ( fid )
 
-             CASE ( 21 )
-!
-!--             Write ISO2D global parameters
-                IF ( myid == 0  .AND.  iso2d_output )  THEN
-                   planz  = do2d_xy_n
-                   dimx   = nx + 2
-                   dimy   = ny + 2
-                   sizex  = 100.0
-                   sizey  = 100.0
-                   title  = run_description_header
-                   yright = ( ny + 1.0 ) * dy
-                   IF ( host(1:3) == 'ibm'  .OR.  host(1:3) == 't3e' )  THEN
-                      checkuf = .FALSE.; dbp = .TRUE.
-                   ENDIF
-                   IF ( host(1:3) == 'ibm'  .OR.  host(1:3) == 'nec' )  THEN
-                      datform = 'big_endian'
-                   ENDIF
-                   OPEN ( 90, FILE='PLOT2D_XY_GLOBAL', FORM='FORMATTED',       &
-                              DELIM='APOSTROPHE' )
-                   WRITE ( 90, GLOBAL )
-                   CLOSE ( 90 )
-                ENDIF
-
-             CASE ( 22 )
-!
-!--             Write ISO2D global parameters
-                IF ( myid == 0 )  THEN
-                   planz  = do2d_xz_n
-                   dimx   = nx + 2
-                   dimy   = nz + 2
-                   sizex  = 100.0
-                   sizey  =  65.0
-                   title  = run_description_header
-                   yright = z_max_do2d
-                   IF ( host(1:3) == 'ibm'  .OR.  host(1:3) == 't3e' )  THEN
-                      checkuf = .FALSE.; dbp = .TRUE.
-                   ENDIF
-                   IF ( host(1:3) == 'ibm'  .OR.  host(1:3) == 'nec' )  THEN
-                      datform = 'big_endian'
-                   ENDIF
-                   OPEN ( 90, FILE='PLOT2D_XZ_GLOBAL', FORM='FORMATTED',       &
-                              DELIM='APOSTROPHE' )
-                   WRITE ( 90, GLOBAL )
-                   CLOSE ( 90 )
-                ENDIF
-
-             CASE ( 23 )
-!
-!--             Write ISO2D global parameters
-                IF ( myid == 0 )  THEN
-                   planz  = do2d_yz_n
-                   dimx   = ny + 2
-                   dimy   = nz + 2
-                   sizex  = 100.0
-                   sizey  =  65.0
-                   title  = run_description_header
-                   yright = z_max_do2d
-                   IF ( host(1:3) == 'ibm'  .OR.  host(1:3) == 't3e' )  THEN
-                      checkuf = .FALSE.; dbp = .TRUE.
-                   ENDIF
-                   IF ( host(1:3) == 'ibm'  .OR.  host(1:3) == 'nec' )  THEN
-                      datform = 'big_endian'
-                   ENDIF
-                   OPEN ( 90, FILE='PLOT2D_YZ_GLOBAL', FORM='FORMATTED',       &
-                              DELIM='APOSTROPHE' )
-                   WRITE ( 90, GLOBAL )
-                   CLOSE ( 90 )
-                ENDIF
-
-             CASE ( 32 )
-!
-!--             Write header for FLD-file
-                IF ( do3d_compress )  THEN
-                   WRITE ( 32, 3200)  ' compressed ',                          &
-                                      TRIM( run_description_header ), nx+2,    &
-                                      ny+2, nz_do3d+1, do3d_avs_n
-                ELSE
-                   WRITE ( 32, 3200)  ' ', TRIM( run_description_header ),     &
-                                      nx+2, ny+2, nz_do3d+1, do3d_avs_n
-                ENDIF
-
 #if defined( __netcdf )
              CASE ( 101 )
 
-                IF ( netcdf_output  .AND.                                      &
-                     ( myid == 0  .OR.  netcdf_data_format > 4 ) )  THEN
+                IF ( myid == 0  .OR.  netcdf_data_format > 4 )  THEN
                    nc_stat = NF90_CLOSE( id_set_xy(0) )
                    CALL handle_netcdf_error( 'close_file', 44 )
@@ -212,6 +130,5 @@
              CASE ( 102 )
 
-                IF ( netcdf_output  .AND.                                      &
-                     ( myid == 0  .OR.  netcdf_data_format > 4 ) )  THEN
+                IF ( myid == 0  .OR.  netcdf_data_format > 4 )  THEN
                    nc_stat = NF90_CLOSE( id_set_xz(0) )
                    CALL handle_netcdf_error( 'close_file', 45 )
@@ -220,6 +137,5 @@
              CASE ( 103 )
 
-                IF ( netcdf_output  .AND.                                      &
-                     ( myid == 0  .OR.  netcdf_data_format > 4 ) )  THEN
+                IF ( myid == 0  .OR.  netcdf_data_format > 4 )  THEN
                    nc_stat = NF90_CLOSE( id_set_yz(0) )
                    CALL handle_netcdf_error( 'close_file', 46 )
@@ -228,5 +144,5 @@
              CASE ( 104 )
 
-                IF ( myid == 0  .AND.  netcdf_output )  THEN
+                IF ( myid == 0 )  THEN
                    nc_stat = NF90_CLOSE( id_set_pr )
                    CALL handle_netcdf_error( 'close_file', 47 )
@@ -235,5 +151,5 @@
              CASE ( 105 )
 
-                IF ( myid == 0  .AND.  netcdf_output )  THEN
+                IF ( myid == 0 )  THEN
                    nc_stat = NF90_CLOSE( id_set_ts )
                    CALL handle_netcdf_error( 'close_file', 48 )
@@ -242,6 +158,5 @@
              CASE ( 106 )
 
-                IF ( netcdf_output  .AND.  &
-                     ( myid == 0  .OR.  netcdf_data_format > 4 ) )  THEN
+                IF ( myid == 0  .OR.  netcdf_data_format > 4 )  THEN
                    nc_stat = NF90_CLOSE( id_set_3d(0) )
                    CALL handle_netcdf_error( 'close_file', 49 )
@@ -250,5 +165,5 @@
              CASE ( 107 )
 
-                IF ( myid == 0  .AND.  netcdf_output )  THEN
+                IF ( myid == 0 )  THEN
                    nc_stat = NF90_CLOSE( id_set_sp )
                    CALL handle_netcdf_error( 'close_file', 50 )
@@ -257,20 +172,15 @@
              CASE ( 108 )
 
-                IF (  netcdf_output )  THEN
-                   nc_stat = NF90_CLOSE( id_set_prt )
-                   CALL handle_netcdf_error( 'close_file', 51 )
-                ENDIF
+                nc_stat = NF90_CLOSE( id_set_prt )
+                CALL handle_netcdf_error( 'close_file', 51 )
 
              CASE ( 109 ) 
 
-                IF (  netcdf_output )  THEN
-                   nc_stat = NF90_CLOSE( id_set_pts )
-                   CALL handle_netcdf_error( 'close_file', 412 )
-                ENDIF
+                nc_stat = NF90_CLOSE( id_set_pts )
+                CALL handle_netcdf_error( 'close_file', 412 )
 
              CASE ( 111 )
 
-                IF ( netcdf_output  .AND.                                      &
-                     ( myid == 0  .OR.  netcdf_data_format > 4 ) )  THEN
+                IF ( myid == 0  .OR.  netcdf_data_format > 4 )  THEN
                    nc_stat = NF90_CLOSE( id_set_xy(1) )
                    CALL handle_netcdf_error( 'close_file', 52 )
@@ -279,6 +189,5 @@
              CASE ( 112 )
 
-                IF ( netcdf_output  .AND.                                      &
-                     ( myid == 0  .OR.  netcdf_data_format > 4 ) )  THEN
+                IF ( myid == 0  .OR.  netcdf_data_format > 4 )  THEN
                    nc_stat = NF90_CLOSE( id_set_xz(1) )
                    CALL handle_netcdf_error( 'close_file', 352 )
@@ -287,6 +196,5 @@
              CASE ( 113 )
 
-                IF ( netcdf_output  .AND.                                      &
-                     ( myid == 0  .OR.  netcdf_data_format > 4 ) )  THEN
+                IF ( myid == 0  .OR.  netcdf_data_format > 4 )  THEN
                    nc_stat = NF90_CLOSE( id_set_yz(1) )
                    CALL handle_netcdf_error( 'close_file', 353 )
@@ -295,6 +203,5 @@
              CASE ( 116 )
 
-                IF ( netcdf_output  .AND.                                      &
-                     ( myid == 0  .OR.  netcdf_data_format > 4 ) )  THEN
+                IF ( myid == 0  .OR.  netcdf_data_format > 4 )  THEN
                    nc_stat = NF90_CLOSE( id_set_3d(1) )
                    CALL handle_netcdf_error( 'close_file', 353 )
@@ -303,6 +210,5 @@
              CASE ( 201:200+2*max_masks )
 	     
-                IF ( netcdf_output  .AND.                                      &
-                     ( myid == 0  .OR.  netcdf_data_format > 4 ) )  THEN
+                IF ( myid == 0  .OR.  netcdf_data_format > 4 )  THEN
 !
 !--                decompose fid into mid and av
